import '../listener/agile_pay_state.dart';

abstract class AgilePayStateInfo {
  AgilePayState? mPay;

  void sendError(int errno, String? error) {
    if (mPay != null) {
      mPay?.error(errno, error);
    }
  }

  void sendPaySuccess(String? result) {
    if (mPay != null) {
      mPay?.paySuccess(result);
    }
  }

  void sendPayError(int errno, String? error) {
    if (mPay != null) {
      mPay?.payError(errno, error);
    }
  }

  void sendPayBefore() {
    if (mPay != null) {
      mPay?.payBefore();
    }
  }

  void setPayListener(AgilePayState pay) {
    mPay = pay;
  }
}
